/*
 * uppTransmit.h
 *
 *  Created on: 201949
 *      Author: rad-chenqz
 */

#ifndef UPPTRANSMIT_H_
#define UPPTRANSMIT_H_

#include "workflow.h"

Void UppPeriphInit(Void);
Void UppHWIInit(Void);
Void taskUpp(UArg arg1, UArg arg2);
void taskData2DSP(UArg a0, UArg a1);


// 
#define upp_line_size        (24576)
//#define upp_line_size        (2048)
#define upp_line_count       (246)  //(86)       //100 ((int)(178+(178*0.075+80*1.46)*800)*16/24576+1) = 68
#define upp_frame_size       (upp_line_size * upp_line_count)  // upp_frame_size must be the same with FPGA
#define upp_line_offset      (upp_line_size)
#define UPP_FRAME_NUMBER     1

//64 BYTES
typedef struct
{
    unsigned int frameIdx;
    unsigned int frameSize;
    unsigned int rtcDate;
    unsigned int rtcTime;
    unsigned int timeH;
    unsigned int timeL;
    unsigned int reserve;
}AD_One_Frame_Header;

typedef struct
{
    AD_One_Frame_Header header;
    short data[upp_frame_size];
}AD_One_Frame;

typedef struct
{
    AD_One_Frame frame_data[UPP_FRAME_NUMBER];
}AD_Ten_Frame;


#endif /* UPPTRANSMIT_H_ */
